#ifndef MARS_MStatusArray
#define MARS_MStatusArray

#ifndef ROOT_TObjArray
#include <TObjArray.h>
#endif

class TClass;
class TCanvas;
class TVirtualPad;

class MStatusArray : public TObjArray
{
private:
    TObject *FindObjectInPad(TVirtualPad *pad, const char *object, TClass *base) const;
    TClass  *GetClass(const char *name) const;

public:
    TObject *DisplayIn(Option_t *o=0) const;         // *MENU*
    TObject *Display() const { return DisplayIn(); } // *MENU*

    TCanvas *FindCanvas(const char *name) const;

    TObject *FindObjectInCanvas(const char *object, const char *base, const char *canvas) const;
    TObject *FindObjectInCanvas(const char *object, const char *canvas) const;

    TObject *FindObject(const char *object, const char *base) const;
    TObject *FindObject(const char *object) const;
    TObject *FindObject(const TObject *o) const { return 0; }

    ClassDef(MStatusArray, 0) // Helper class for status display
};

#endif
